#include <iostream>
#include<bits/stdc++.h>

using namespace std;

int main()
{
    long br = 0;
    long N,K;

    cin>>N>>K;

    long niz[2*N+1];

    long X;
    if(N%2==0)
        X=N;
    else X=N-1;
    long niz2[X/2];

    long k = 0;

    for(long long i = 0; i <= 2*N; i++)
    {
        niz[i] = 0;
    }

    for(long i = 0; i < N; i++)
    {
        long p;
        cin>>p;
        if(p>0)
        {
            niz[p]++;
            if(niz[p]==K)
            {
            long j;
            for(j = 0;j<k;j++)
            {
                if(niz2[j]==p)
                    break;
            }
            if(j==k)
                niz2[k]=p;
            k++;
            }
        }
        else
        {
            p=abs(p);
            niz[p+N]++;
            if(niz[p+N]==K)
            {
            long j;
            for(j = 0;j<k;j++)
            {
                if(niz2[j]==p)
                    break;
            }
            if(j==k)
                niz2[k]=-p;
            k++;
            }
        }
    }

    cout<<k<<"\n";
    for(long i = 0; i < k; i++)
    {
        cout<<niz2[i]<<" ";
    }
}